Set Group’s Access Permission info

This is the API to configure a group’s access permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the Splashtop team.

integer
required

The ID of the group you would like to apply access permission changes to.

Body Params
string
required

The access permission setting you would like to apply to the group. (String) Available settings:

no_computers: the group can access no computers

group_computers: the group can access all computers in its group

specify_computers_and_groups: the group can access specific computers and computer groups. Combine with the computers and groups parameters below to complete the setup

computers
object

(Optional) Only required when access_setting is specify_computers_and_groups. Add or remove specific computers by their IDs, which can be queried from the Computer List API. Available actions: add (assign computers to the group's access list), remove (unassign computers from the group's access list). Example: { "access_setting": "specify_computers_and_groups", "computers": { "add": [162505], "remove": [] }, "groups": { "add": [], "remove": [] } }

groups
object

(Optional) Only required when access_setting is specify_computers_and_groups. Add or remove specific groups by their IDs, which can be queried from 5.4 Groups. Available actions: add (assign groups to the group's access list), remove (unassign groups from the group's access list).

Responses
200

Successful response

400

Bad request — invalid parameters

401

Unauthorized — invalid or missing access token

403

Forbidden — insufficient scope, or the action/value/target is not allowed. See data.error for the sub-reason.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!